Bug 335701 - Please use opengl-games-utils DRI checking wrapper
Please use opengl-games-utils DRI checking wrapper
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: supertux (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 03:05 EDT by Nils Philippsen
Modified: 2007-12-20 15:15 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.3.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 15:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2007-10-17 03:05:26 EDT
+++ This bug was initially created as a clone of Bug #335691 +++

In preperation for the Games Live DVD, Hans de Goede has created a small bash
script which resides in opengl-games-utils, which is meant to be used as a
wrapper around OpenGL games. If DRI is available this wrapper does nothing, if
it isn't it will show an error dialog, explaining about Free Software and 3D
drivers and then exit.

The idea here is that an error dialog is better then trying to click the quit
menu option while the mouse is jumping from the right edge of the screen to the
left edge (mouse navigation is anything but easy at 3 fps).

This is esp. important for the Games Live DVD, as there people will not have
those other <beep> drivers available.

Adding the wrapper is _really_ easy:

1) Add: "Requires: opengl-games-utils"
2) Add to %install:
"ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper"
3) Add "%{_bindir}/%{name}-wrapper" to %files
4) Change the .desktop file Exec entry from "%{name}" to "%{name}-wrapper"

This all assumes your main binary name == %{name}, otherwise adapt as necessary.

If you already have a wrapper script for one reason or the other, you can
incorperate the checkDriOk function directly into your wrapper, no need todo a
wrapper wrapper, see vegastrike's vegastrike-wrapper.sh CVS file as example.
Comment 1 Steven Pritchard 2007-10-18 18:05:41 EDT
I'd be completely OK with someone taking care of this for me, since I have no
idea when I'll get around to it right now.  (And at this rate, if it isn't done
very soon, it won't make F8 final.)
Comment 2 Nils Philippsen 2007-10-19 03:50:58 EDT
I'm on it.
Comment 3 Nils Philippsen 2007-10-19 04:15:42 EDT
Well... I could do this but I'm not allowed to do it:

nils@wombat:~/devel/cvs/fedora/supertux/devel> cvs ci
cvs commit: Examining .
**** Access denied: nphilipp is not in ACL for rpms/supertux/devel
cvs commit: Pre-commit check failed
cvs [commit aborted]: correct above errors first!

While we're at it, currently I've set it up to use the wrapper from F8 on, but
the wrapper exists in F7. Would you like me to make it wrapped on F7 as well
(thus when you rebuild on F7 it would use the wrapper as well)?
Comment 4 Nils Philippsen 2007-10-19 04:43:43 EDT
Well it could also be due to the mass-branching:
https://www.redhat.com/archives/fedora-devel-list/2007-October/msg01465.html

I'll try it once it's open again. Still: Steve, would you like this for F7 as well?
Comment 5 Steven Pritchard 2007-10-19 10:51:03 EDT
(In reply to comment #4)
> Well it could also be due to the mass-branching:
> https://www.redhat.com/archives/fedora-devel-list/2007-October/msg01465.html

Must have been.  I see you have checked in the change.  Did you request a build,
or do I need to?

> I'll try it once it's open again. Still: Steve, would you like this for F7 as
well?

Sure, why not?
Comment 6 Nils Philippsen 2007-10-19 14:24:48 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Well it could also be due to the mass-branching:
> > https://www.redhat.com/archives/fedora-devel-list/2007-October/msg01465.html
> 
> Must have been.  I see you have checked in the change.  Did you request a build,
> or do I need to?

I've already built it, but...

> 
> > I'll try it once it's open again. Still: Steve, would you like this for F7 as
> well?
> 
> Sure, why not?

... in that case, it needs rebuilding as:

- F7 builds with unchanged spec won't use the wrapper
- changing the spec file (by replacing "8" to "7" in the first line of the spec
file) and bumping the release would give a higher version-release for F7 than for F8

i.e.: changing "8" to "7" in the first line of the spec, and (re)building on F7
and F8 needs to be done. You might request rel-eng to put the resulting F8
package into final instead of the zero-day updates.
Comment 7 Nils Philippsen 2007-11-07 07:01:44 EST
Version 0.3.0-3 is building for F7, F8, Rawhide with these changes now.

Steve, do you want to push the updates through bodhi or shall I do it?
Comment 8 Nils Philippsen 2007-12-04 09:41:52 EST
Nearly a month has come and gone... I've requested it to be pushed to testing now:

https://admin.fedoraproject.org/updates/F8/pending/supertux-0.3.0-3.fc8
https://admin.fedoraproject.org/updates/F7/pending/supertux-0.3.0-3.fc7
Comment 9 Steven Pritchard 2007-12-06 09:38:43 EST
(In reply to comment #8)
> Nearly a month has come and gone... I've requested it to be pushed to testing now:
> 
> https://admin.fedoraproject.org/updates/F8/pending/supertux-0.3.0-3.fc8
> https://admin.fedoraproject.org/updates/F7/pending/supertux-0.3.0-3.fc7

Thanks.
Comment 10 Fedora Update System 2007-12-06 15:46:31 EST
supertux-0.3.0-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update supertux'
Comment 11 Fedora Update System 2007-12-06 17:51:01 EST
supertux-0.3.0-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update supertux'
Comment 12 Fedora Update System 2007-12-20 15:13:59 EST
supertux-0.3.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2007-12-20 15:15:18 EST
supertux-0.3.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.